/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 跨项目级视图索引信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 11:38:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "跨项目级视图索引信息表")
public class OverallViewIndex extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_proIdList = "proIdList";
  public static final String KEY_userId = "userId";
  public static final String KEY_recordType = "recordType";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 项目id集合<br>
   */
  @ApiModelProperty("项目id集合")
  private String proIdList;
  /**
   * 用户id<br>
   */
  @ApiModelProperty("用户id")
  @Size(max = 50, message="用户id-userId: 数据长度不能 > 50" )
  private String userId;
  /**
   * 记录类型<br>
   */
  @ApiModelProperty("记录类型")
  @Size(max = 50, message="记录类型-recordType: 数据长度不能 > 50" )
  private String recordType;

  public String getRecordType() {
    return recordType;
  }

  public void setRecordType(String recordType) {
    this.recordType = recordType;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 项目id集合<br>
   */
  public String getProIdList()
  {
      return proIdList;
    }

  /**
   * 项目id集合<br>
   *
   * @param proIdList 项目id集合
   */
  public void setProIdList(String proIdList)
  {
      this.proIdList = proIdList;
    }
  /**
   * 用户id<br>
   */
  public String getUserId()
  {
      return userId;
    }

  /**
   * 用户id<br>
   *
   * @param userId 用户id
   */
  public void setUserId(String userId)
  {
      this.userId = userId;
    }

  public OverallViewIndex()
  {
  }

  @Override
  public String getCreatedBy() {
    return null;
  }

  @Override
  public void setCreatedBy(String s) {

  }

  @Override
  public Date getCreatedTime() {
    return null;
  }

  @Override
  public void setCreatedTime(Date date) {

  }

  @Override
  public String getUpdatedBy() {
    return null;
  }

  @Override
  public void setUpdatedBy(String s) {

  }

  @Override
  public Date getUpdatedTime() {
    return null;
  }

  @Override
  public void setUpdatedTime(Date date) {

  }
}
